Package net.paulhertz.pixelaudio.granular

# Class GestureGranularParams

java.lang.Object
net.paulhertz.pixelaudio.granular.GestureGranularParams

public final class GestureGranularParams extends Object
Immutable core parameters for gesture-driven granular playback. Used by: - PAGranularInstrumentDirector (scheduling + source construction) - PASource implementations (burst/grain rendering) Not included: - Path-building parameters (rdpEpsilon, curveSteps, useArcLengthTime, etc.)

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `GestureGranularParams.Builder`
  `static enum`
  `GestureGranularParams.HopMode`
  `static enum`
  `GestureGranularParams.TimeTransform`
  UI preset hint for timing.
  `static enum`
  `GestureGranularParams.WarpShape`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `autoBurstGainComp`
  `final int`
  `burstGrains`
  `final ADSRParams`
  `env`
  `final float`
  `gainLinear`
  `final int`
  `grainLengthSamples`
  `final ddf.minim.analysis.WindowFunction`
  `grainWindow`
  `final int`
  `hopLengthSamples`
  `final GestureGranularParams.HopMode`
  `hopMode`
  `final boolean`
  `looping`
  `final float`
  `pan`
  `final float`
  `pitchRatio`
  `final int`
  `targetCount`
  `final float`
  `targetDurationMs`
  `final GestureGranularParams.TimeTransform`
  `timeTransform`
  `final GestureGranularParams.TimeTransform`
  `timingMode`
  `final float`
  `warpExponent`
  `final GestureGranularParams.WarpShape`
  `warpShape`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `GestureGranularParams(GestureGranularParams.Builder b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GestureGranularParams.Builder`
  `builder()`
  `private static float`
  `clampPan(float p)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### timingMode

    public final GestureGranularParams.TimeTransform timingMode

  - ### grainLengthSamples

    public final int grainLengthSamples

  - ### hopLengthSamples

    public final int hopLengthSamples

  - ### burstGrains

    public final int burstGrains

  - ### autoBurstGainComp

    public final boolean autoBurstGainComp

  - ### gainLinear

    public final float gainLinear

  - ### pan

    public final float pan

  - ### pitchRatio

    public final float pitchRatio

  - ### env

    public final ADSRParams env

  - ### looping

    public final boolean looping

  - ### timeTransform

    public final GestureGranularParams.TimeTransform timeTransform

  - ### targetCount

    public final int targetCount

  - ### targetDurationMs

    public final float targetDurationMs

  - ### warpShape

    public final GestureGranularParams.WarpShape warpShape

  - ### warpExponent

    public final float warpExponent

  - ### grainWindow

    public final ddf.minim.analysis.WindowFunction grainWindow

  - ### hopMode

    public final GestureGranularParams.HopMode hopMode

- ## Constructor Details

  - ### GestureGranularParams

    private GestureGranularParams(GestureGranularParams.Builder b)

- ## Method Details

  - ### builder

    public static GestureGranularParams.Builder builder()

  - ### clampPan

    private static float clampPan(float p)